> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tickets Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/org/support/tickets
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/support/tickets:
    get:
      tags:
        - Support API
      summary: List Tickets Endpoint
      operationId: list_tickets_endpoint_api_v1_org_support_tickets_get
      parameters:
        - in: query
          name: status
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Status
        - in: query
          name: cluster_id
          required: false
          schema:
            anyOf:
              - format: uuid
                type: string
              - type: 'null'
            title: Cluster Id
        - in: query
          name: q
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Q
        - in: query
          name: page
          required: false
          schema:
            default: 1
            minimum: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            maximum: 100
            minimum: 1
            title: Page Size
            type: integer
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TicketListResponse'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    TicketListResponse:
      properties:
        pagination:
          $ref: '#/components/schemas/TicketPagination'
        result:
          items:
            $ref: '#/components/schemas/TicketSummary'
          title: Result
          type: array
      required:
        - result
        - pagination
      title: TicketListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    TicketPagination:
      properties:
        page:
          title: Page
          type: integer
        page_size:
          title: Page Size
          type: integer
        total_count:
          title: Total Count
          type: integer
        total_pages:
          title: Total Pages
          type: integer
      required:
        - page
        - page_size
        - total_pages
        - total_count
      title: TicketPagination
      type: object
    TicketSummary:
      properties:
        ai_review_status:
          $ref: '#/components/schemas/AIReviewStatus'
        category:
          $ref: '#/components/schemas/TicketCategory'
        cluster_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Cluster Id
        cluster_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Cluster Name
        created_at:
          format: date-time
          title: Created At
          type: string
        id:
          format: uuid
          title: Id
          type: string
        is_tracked_by_team:
          default: false
          title: Is Tracked By Team
          type: boolean
        severity:
          anyOf:
            - $ref: '#/components/schemas/TicketSeverity'
            - type: 'null'
        source:
          $ref: '#/components/schemas/TicketSource'
        status:
          $ref: '#/components/schemas/TicketStatus'
        subject:
          title: Subject
          type: string
        ticket_number:
          title: Ticket Number
          type: integer
        updated_at:
          format: date-time
          title: Updated At
          type: string
      required:
        - id
        - ticket_number
        - source
        - category
        - subject
        - status
        - ai_review_status
        - created_at
        - updated_at
      title: TicketSummary
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    AIReviewStatus:
      enum:
        - pending
        - passed
        - flagged
      title: AIReviewStatus
      type: string
    TicketCategory:
      enum:
        - technical
        - account
        - billing
        - bug
        - feature_request
        - other
      title: TicketCategory
      type: string
    TicketSeverity:
      enum:
        - low
        - medium
        - high
        - critical
      title: TicketSeverity
      type: string
    TicketSource:
      enum:
        - portal
        - api
        - cli
        - agent
      title: TicketSource
      type: string
    TicketStatus:
      enum:
        - pending_review
        - open
        - triaging
        - in_progress
        - waiting_customer
        - resolved
        - closed
      title: TicketStatus
      type: string

````